Collect blocks, sort and place
Does anyone have a LISP that can collect a bunch of blocks (by window or select similar) sort them by an attribute and then allow me to array them back into the drawing?My application:
I have security systems, CCTV cameras, controlled doors, door access card readers and so on placed in various parts of the building. I need to collect all of each type device and create a conduit riser drawing to show which control room to run the conduit to. My conduit riser is best done in numerical order to reduce the possibility of missing a device. So I spend a fair chunk of time picking each device up, moving it, turning on the grid, dropping it in place and searching for the next device.
If anyone has a better method, I would love to hear it.
Thanks,
Glen Tool Palettes for an easy block insert?
Get a block count using Quick select? I already have placed the blocks on the device layout drawing, I need to duplicate them on the riser drawing, and rather than run the risk of missing one (not to mention having to re-enter the attribute data), I copy the devices from the layouts to a new riser drawing. This leaves them in 'building order' so finding camera #14 can be difficult.
I'm already using a 4 line LISP that either Alan or Lee posted that selects all similar blocks
(defun c:QSBLOCK (/ ent) (if (and(setq ent (car (entsel))) (eq "INSERT" (cdr (assoc 0 (entget ent))))) (sssetfirst nil (ssget "_X" (list '(0 . "INSERT") (assoc 2 (entget ent)))))) (princ))
Glen
页:
[1]